gRPC C#
gRPC C#
Namespaces
Grpc.Core
ServerCallContext Class
ServerCallContext Methods
CreatePropagationToken Method
WriteResponseHeadersAsync Method

ServerCallContext CreatePropagationToken Method

Creates a propagation token to be used to propagate call context to a child call.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public ContextPropagationToken CreatePropagationToken(
    	ContextPropagationOptions options = null
    )

    Public Function CreatePropagationToken (
    	Optional options As ContextPropagationOptions = Nothing
    ) As ContextPropagationToken

    public:
    ContextPropagationToken^ CreatePropagationToken(
    	ContextPropagationOptions^ options = nullptr
    )

    member CreatePropagationToken :
            ?options : ContextPropagationOptions
    (* Defaults:
            let _options = defaultArg options null
    *)
    -> ContextPropagationToken

#### Parameters

options (Optional)
  Type: Grpc.Core
  ContextPropagationOptions

  [Missing <param name="options"/> documentation for "M:Grpc.Core.ServerCallContext.CreatePropagationToken(Grpc.Core.ContextPropagationOptions)"]

#### Return Value

Type: ContextPropagationToken
See Also

#### Reference

ServerCallContext Class
Grpc.Core Namespace